<?xml version="1.0" encoding="UTF-8"?>
<!--
/**
 * @author Amasty Team
 * @copyright Copyright (c) 2021 Amasty (https://www.amasty.com)
 * @package Amasty_Preorder
 */
-->

<config xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:framework:Mview/etc/mview.xsd">
    <view id="amasty_preorder_product_preorder" class="Amasty\Preorder\Model\Indexer\Product\PreorderIndexer" group="indexer">
        <subscriptions>
            <table name="cataloginventory_stock_item" entity_column="product_id" />
        </subscriptions>
    </view>

    <view id="amasty_preorder_product_preorder_msi" class="Amasty\Preorder\Model\Indexer\Product\Msi\PreorderIndexer" group="indexer">
        <subscriptions>
            <table name="inventory_source_item" entity_column="source_item_id" subscription_model="Amasty\Preorder\Model\Mview\View\ExistingSubscription" />
        </subscriptions>
    </view>
</config>
